# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /usr/share/portage/config/make.conf.example for a more
# detailed example.
WARNING_FLAGS="-Werror=odr -Werror=lto-type-mismatch -Werror=strict-aliasing"
COMMON_FLAGS="-march=haswell -mabm -maes --param=l1-cache-line-size=64 --param=l1-cache-size=32 --param=l2-cache-size=8192 -O2 -pipe"# -flto ${WARNING_FLAGS}"
CFLAGS="${COMMON_FLAGS}"
CXXFLAGS="${COMMON_FLAGS}"
FCFLAGS="${COMMON_FLAGS}"
FFLAGS="${COMMON_FLAGS}"

#FEATURES = "distcc"
#MAKEOPTS = "-j32 -l8"
MAKEOPTS = "-j8"
PORTAGE_TMPDIR="/tmp"
AUTO_CLEAN="yes"

CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt rdrand sse sse2 sse3 sse4_1 sse4_2 ssse3"

USE="wayland pipewire pulseaudio dbus lto pgo -X -initramfs"
L10N="zh-CN"

ACCEPT_LICENSE="@FREE"
ACCEPT_KEYWORDS="amd64"

VIDEO_CARDS="amdgpu radeonsi"

# NOTE: This stage was built with the bindist Use flag enabled

# This sets the language of build output to English.
# Please keep this setting intact when reporting bugs.
LC_MESSAGES=C.utf8
